Bug 130945 - Writer: Preview of linked doc is not updated when edited
Summary: Writer: Preview of linked doc is not updated when edited
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.3
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-26 07:39 UTC by Serge Krot (CIB)
Modified: 2020-05-10 12:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2020-02-26 07:39:11 UTC
How to reproduce:
1.    create new calc file and enter some Numbers and save and close this file
2.    create new writer file and insert -> object -> OLE-object
3.    select create from file and select calc sheet of step one
4.    select "link to file"
5.    press ok
6.    edit the table in the writer document (change value of A1 cell)
7.    select a new cell (A2)
8.    click outside the table in the writer document
9.    in writer old preview image is used
Comment 1 Commit Notification 2020-03-02 00:39:56 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/53735aeb937d7f2c1ac5bc0227e4a2fdc24e4947

tdf#130945 Writer: Preview of linked doc is not updated when edited

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-03-02 23:52:45 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b221b09739616a3776800b9784f82ec6b747a0dc

tdf#130945 Writer: Preview of linked doc is not updated when edited

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2020-05-10 12:15:09 UTC
Everything now is ok.

Verified on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded